%define	major 9
%define libname	%mklibname config %{major}
%define libnamedevel	%mklibname -d config

Summary:	Configuration file parsing library
Name:		libconfig
Version:	1.4.9
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.gz
BuildRequires:	libopennet-devel

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:          System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libnamedevel}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  %_lib%{name}0-devel

%description -n	%{libnamedevel}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{name} library and its header
files.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.9-2.mga3
+ Revision: 356923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.4.9-1.mga3
+ Revision: 303089
- 1.4.9

* Fri Aug 26 2011 tv <tv> 1.4.8-1.mga2
+ Revision: 135562
- fix file list
- new release

* Sat Jul 16 2011 fwang <fwang> 1.4.7-1.mga2
+ Revision: 124740
- update file list
- new version 1.4.7

* Sat Jan 15 2011 blino <blino> 1.4.5-4.mga1
+ Revision: 18758
- remove old ldconfig scriptlets
- imported package libconfig

